<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number47</title>
</head>

<body>
<h2> JavaScript Excercise</h2>
	
	<p> <b> No.47:</b> Write a JavaScript program to check if a number in the range 40..10000 inclusive presents in two number (in same range). </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	  <input type="number" id="num1" placeholder="Enter First Number"><br>
	  <input type="number" id="num2" placeholder="Enter Second Number" style="margin-top: 5px;"><br>
      <input type="number" id="num3" placeholder="Enter Third Number" style="margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	  function generate() {
		  var a = + document.getElementById('num1').value;
		  var b = + document.getElementById('num2').value;
		  var c = + document.getElementById('num3').value;
		  
		  if (a < 40 || a > 10000) {
			  document.getElementById('demo').innerHTML=
				  Boolean(0);
		  } else {
			  if ( c > b ) {
				  if ( a >= b && a <= c) {
					  document.getElementById('demo').innerHTML=
						  Boolean(1);
				  } else {
					  document.getElementById('demo').innerHTML=
						  Boolean(0);
				  }
			  } else {
				  document.getElementById('demo').innerHTML=
					  "Second number is first number or range and <br> Third number is last number of range, choose them correct"
			  }
		  }
	  }
	</script>
	
</body>
</html>
